Changeset 49

Show
Ignore:
Timestamp:
07/12/04 21:57:57 (4 years ago)
Author:
morris
Message:

autoscan

Files:

Legend:

Unmodified
Added
Removed
Modified
Copied
Moved
  • wire/trunk/config.h.in

    r2 r49  
    11/* config.h.in.  Generated from configure.in by autoheader.  */ 
     2 
     3/* Define to 1 if the `closedir' function returns void instead of `int'. */ 
     4#undef CLOSEDIR_VOID 
    25 
    36/* Define to 1 if you have the `alarm' function. */ 
     
    710#undef HAVE_ARPA_INET_H 
    811 
     12/* Define to 1 if you have the <dirent.h> header file, and it defines `DIR'. 
     13   */ 
     14#undef HAVE_DIRENT_H 
     15 
    916/* Define to 1 if you have the <fcntl.h> header file. */ 
    1017#undef HAVE_FCNTL_H 
     
    1825/* Define to 1 if you have the <inttypes.h> header file. */ 
    1926#undef HAVE_INTTYPES_H 
     27 
     28/* Define to 1 if you have the <limits.h> header file. */ 
     29#undef HAVE_LIMITS_H 
    2030 
    2131/* Define to 1 if your system has a GNU libc compatible `malloc' function, and 
     
    3242#undef HAVE_MKDIR 
    3343 
     44/* Define to 1 if you have the <ndir.h> header file, and it defines `DIR'. */ 
     45#undef HAVE_NDIR_H 
     46 
    3447/* Define to 1 if you have the <netdb.h> header file. */ 
    3548#undef HAVE_NETDB_H 
     
    7083#undef HAVE_STDLIB_H 
    7184 
     85/* Define to 1 if you have the `strcasecmp' function. */ 
     86#undef HAVE_STRCASECMP 
     87 
    7288/* Define to 1 if you have the `strchr' function. */ 
    7389#undef HAVE_STRCHR 
     
    91107#undef HAVE_STRNCASECMP 
    92108 
     109/* Define to 1 if you have the `strrchr' function. */ 
     110#undef HAVE_STRRCHR 
     111 
    93112/* Define to 1 if you have the `strtol' function. */ 
    94113#undef HAVE_STRTOL 
     
    97116#undef HAVE_STRTOUL 
    98117 
     118/* Define to 1 if you have the `strtoull' function. */ 
     119#undef HAVE_STRTOULL 
     120 
     121/* Define to 1 if you have the <sys/dir.h> header file, and it defines `DIR'. 
     122   */ 
     123#undef HAVE_SYS_DIR_H 
     124 
     125/* Define to 1 if you have the <sys/ioctl.h> header file. */ 
     126#undef HAVE_SYS_IOCTL_H 
     127 
     128/* Define to 1 if you have the <sys/ndir.h> header file, and it defines `DIR'. 
     129   */ 
     130#undef HAVE_SYS_NDIR_H 
     131 
    99132/* Define to 1 if you have the <sys/param.h> header file. */ 
    100133#undef HAVE_SYS_PARAM_H 
     
    115148#undef HAVE_SYS_TYPES_H 
    116149 
    117 /* Define to 1 if you have the <termcap.h> header file. */ 
    118 #undef HAVE_TERMCAP_H 
     150/* Define to 1 if you have the <termios.h> header file. */ 
     151#undef HAVE_TERMIOS_H 
    119152 
    120153/* Define to 1 if you have the `uname' function. */ 
  • wire/trunk/configure

    r40 r49  
    44674467 
    44684468# Check for the termcap library 
    4469  
    4470 for ac_header in termcap.h 
     4469echo "$as_me:$LINENO: checking for main in -ltermcap" >&5 
     4470echo $ECHO_N "checking for main in -ltermcap... $ECHO_C" >&6 
     4471if test "${ac_cv_lib_termcap_main+set}" = set; then 
     4472  echo $ECHO_N "(cached) $ECHO_C" >&6 
     4473else 
     4474  ac_check_lib_save_LIBS=$LIBS 
     4475LIBS="-ltermcap  $LIBS" 
     4476cat >conftest.$ac_ext <<_ACEOF 
     4477#line $LINENO "configure" 
     4478/* confdefs.h.  */ 
     4479_ACEOF 
     4480cat confdefs.h >>conftest.$ac_ext 
     4481cat >>conftest.$ac_ext <<_ACEOF 
     4482/* end confdefs.h.  */ 
     4483 
     4484 
     4485int 
     4486main () 
     4487
     4488main (); 
     4489  ; 
     4490  return 0; 
     4491
     4492_ACEOF 
     4493rm -f conftest.$ac_objext conftest$ac_exeext 
     4494if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     4495  (eval $ac_link) 2>&5 
     4496  ac_status=$? 
     4497  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4498  (exit $ac_status); } && 
     4499         { ac_try='test -s conftest$ac_exeext' 
     4500  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4501  (eval $ac_try) 2>&5 
     4502  ac_status=$? 
     4503  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4504  (exit $ac_status); }; }; then 
     4505  ac_cv_lib_termcap_main=yes 
     4506else 
     4507  echo "$as_me: failed program was:" >&5 
     4508sed 's/^/| /' conftest.$ac_ext >&5 
     4509 
     4510ac_cv_lib_termcap_main=no 
     4511fi 
     4512rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
     4513LIBS=$ac_check_lib_save_LIBS 
     4514fi 
     4515echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_main" >&5 
     4516echo "${ECHO_T}$ac_cv_lib_termcap_main" >&6 
     4517if test $ac_cv_lib_termcap_main = yes; then 
     4518 
     4519        LIBS="$LIBS -ltermcap" 
     4520 
     4521else 
     4522 
     4523 
     4524        { { echo "$as_me:$LINENO: error: could not locate termcap 
     4525 
     4526If you installed termcap into a non-standard directory, please run: 
     4527 
     4528    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
     4529echo "$as_me: error: could not locate termcap 
     4530 
     4531If you installed termcap into a non-standard directory, please run: 
     4532 
     4533    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     4534   { (exit 1); exit 1; }; } 
     4535 
     4536 
     4537fi 
     4538 
     4539 
     4540 
     4541# Check for the readline library 
     4542 
     4543for ac_header in readline/readline.h 
    44714544do 
    44724545as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    46054678_ACEOF 
    46064679 
    4607         echo "$as_me:$LINENO: checking for main in -ltermcap" >&5 
    4608 echo $ECHO_N "checking for main in -ltermcap... $ECHO_C" >&6 
    4609 if test "${ac_cv_lib_termcap_main+set}" = set; then 
     4680        echo "$as_me:$LINENO: checking for main in -lreadline" >&5 
     4681echo $ECHO_N "checking for main in -lreadline... $ECHO_C" >&6 
     4682if test "${ac_cv_lib_readline_main+set}" = set; then 
    46104683  echo $ECHO_N "(cached) $ECHO_C" >&6 
    46114684else 
    46124685  ac_check_lib_save_LIBS=$LIBS 
    4613 LIBS="-ltermcap  $LIBS" 
     4686LIBS="-lreadline  $LIBS" 
    46144687cat >conftest.$ac_ext <<_ACEOF 
    46154688#line $LINENO "configure" 
     
    46414714  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    46424715  (exit $ac_status); }; }; then 
    4643   ac_cv_lib_termcap_main=yes 
     4716  ac_cv_lib_readline_main=yes 
    46444717else 
    46454718  echo "$as_me: failed program was:" >&5 
    46464719sed 's/^/| /' conftest.$ac_ext >&5 
    46474720 
    4648 ac_cv_lib_termcap_main=no 
     4721ac_cv_lib_readline_main=no 
    46494722fi 
    46504723rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
    46514724LIBS=$ac_check_lib_save_LIBS 
    46524725fi 
    4653 echo "$as_me:$LINENO: result: $ac_cv_lib_termcap_main" >&5 
    4654 echo "${ECHO_T}$ac_cv_lib_termcap_main" >&6 
    4655 if test $ac_cv_lib_termcap_main = yes; then 
    4656  
    4657                 LIBS="$LIBS -ltermcap" 
    4658  
    4659 else 
    4660  
    4661  
    4662         { { echo "$as_me:$LINENO: error: could not locate termcap 
    4663  
    4664 If you installed termcap into a non-standard directory, please run: 
     4726echo "$as_me:$LINENO: result: $ac_cv_lib_readline_main" >&5 
     4727echo "${ECHO_T}$ac_cv_lib_readline_main" >&6 
     4728if test $ac_cv_lib_readline_main = yes; then 
     4729 
     4730                LIBS="$LIBS -lreadline" 
     4731 
     4732                echo "$as_me:$LINENO: checking for rl_completion_matches" >&5 
     4733echo $ECHO_N "checking for rl_completion_matches... $ECHO_C" >&6 
     4734                if test "$cross_compiling" = yes; then 
     4735  { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
     4736See \`config.log' for more details." >&5 
     4737echo "$as_me: error: cannot run test program while cross compiling 
     4738See \`config.log' for more details." >&2;} 
     4739   { (exit 1); exit 1; }; } 
     4740else 
     4741  cat >conftest.$ac_ext <<_ACEOF 
     4742#line $LINENO "configure" 
     4743/* confdefs.h.  */ 
     4744_ACEOF 
     4745cat confdefs.h >>conftest.$ac_ext 
     4746cat >>conftest.$ac_ext <<_ACEOF 
     4747/* end confdefs.h.  */ 
     4748 
     4749                        #include <stdio.h> 
     4750                        #include <readline/readline.h> 
     4751                        char * generator(const char *text, int state) { 
     4752                                return NULL; 
     4753                        } 
     4754                        int main(void) { 
     4755                                char **matches = rl_completion_matches("", generator); 
     4756 
     4757                                return 0; 
     4758                        } 
     4759 
     4760_ACEOF 
     4761rm -f conftest$ac_exeext 
     4762if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     4763  (eval $ac_link) 2>&5 
     4764  ac_status=$? 
     4765  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4766  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     4767  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4768  (eval $ac_try) 2>&5 
     4769  ac_status=$? 
     4770  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4771  (exit $ac_status); }; }; then 
     4772 
     4773 
     4774cat >>confdefs.h <<\_ACEOF 
     4775#define HAVE_RL_COMPLETION_MATCHES 1 
     4776_ACEOF 
     4777 
     4778                        echo "$as_me:$LINENO: result: yes" >&5 
     4779echo "${ECHO_T}yes" >&6 
     4780 
     4781 
     4782else 
     4783  echo "$as_me: program exited with status $ac_status" >&5 
     4784echo "$as_me: failed program was:" >&5 
     4785sed 's/^/| /' conftest.$ac_ext >&5 
     4786 
     4787( exit $ac_status ) 
     4788 
     4789                        echo "$as_me:$LINENO: result: no" >&5 
     4790echo "${ECHO_T}no" >&6 
     4791 
     4792fi 
     4793rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     4794fi 
     4795 
     4796else 
     4797 
     4798 
     4799        { { echo "$as_me:$LINENO: error: could not locate readline 
     4800 
     4801If you installed readline into a non-standard directory, please run: 
    46654802 
    46664803    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4667 echo "$as_me: error: could not locate termcap 
    4668  
    4669 If you installed termcap into a non-standard directory, please run: 
     4804echo "$as_me: error: could not locate readline 
     4805 
     4806If you installed readline into a non-standard directory, please run: 
    46704807 
    46714808    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    46794816 
    46804817 
    4681         { { echo "$as_me:$LINENO: error: could not locate termcap 
    4682  
    4683 If you installed termcap into a non-standard directory, please run: 
     4818        { { echo "$as_me:$LINENO: error: could not locate readline 
     4819 
     4820If you installed readline into a non-standard directory, please run: 
    46844821 
    46854822    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4686 echo "$as_me: error: could not locate termcap 
    4687  
    4688 If you installed termcap into a non-standard directory, please run: 
     4823echo "$as_me: error: could not locate readline 
     4824 
     4825If you installed readline into a non-standard directory, please run: 
    46894826 
    46904827    env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
     
    46984835 
    46994836 
    4700 # Check for the readline library 
    4701  
    4702 for ac_header in readline/readline.h 
     4837 
     4838####################################################################### 
     4839# Checks for header files 
     4840 
     4841echo "$as_me:$LINENO: checking for ANSI C header files" >&5 
     4842echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6 
     4843if test "${ac_cv_header_stdc+set}" = set; then 
     4844  echo $ECHO_N "(cached) $ECHO_C" >&6 
     4845else 
     4846  cat >conftest.$ac_ext <<_ACEOF 
     4847#line $LINENO "configure" 
     4848/* confdefs.h.  */ 
     4849_ACEOF 
     4850cat confdefs.h >>conftest.$ac_ext 
     4851cat >>conftest.$ac_ext <<_ACEOF 
     4852/* end confdefs.h.  */ 
     4853#include <stdlib.h> 
     4854#include <stdarg.h> 
     4855#include <string.h> 
     4856#include <float.h> 
     4857 
     4858int 
     4859main () 
     4860
     4861 
     4862  ; 
     4863  return 0; 
     4864
     4865_ACEOF 
     4866rm -f conftest.$ac_objext 
     4867if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     4868  (eval $ac_compile) 2>&5 
     4869  ac_status=$? 
     4870  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4871  (exit $ac_status); } && 
     4872         { ac_try='test -s conftest.$ac_objext' 
     4873  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4874  (eval $ac_try) 2>&5 
     4875  ac_status=$? 
     4876  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4877  (exit $ac_status); }; }; then 
     4878  ac_cv_header_stdc=yes 
     4879else 
     4880  echo "$as_me: failed program was:" >&5 
     4881sed 's/^/| /' conftest.$ac_ext >&5 
     4882 
     4883ac_cv_header_stdc=no 
     4884fi 
     4885rm -f conftest.$ac_objext conftest.$ac_ext 
     4886 
     4887if test $ac_cv_header_stdc = yes; then 
     4888  # SunOS 4.x string.h does not declare mem*, contrary to ANSI. 
     4889  cat >conftest.$ac_ext <<_ACEOF 
     4890#line $LINENO "configure" 
     4891/* confdefs.h.  */ 
     4892_ACEOF 
     4893cat confdefs.h >>conftest.$ac_ext 
     4894cat >>conftest.$ac_ext <<_ACEOF 
     4895/* end confdefs.h.  */ 
     4896#include <string.h> 
     4897 
     4898_ACEOF 
     4899if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 
     4900  $EGREP "memchr" >/dev/null 2>&1; then 
     4901  : 
     4902else 
     4903  ac_cv_header_stdc=no 
     4904fi 
     4905rm -f conftest* 
     4906 
     4907fi 
     4908 
     4909if test $ac_cv_header_stdc = yes; then 
     4910  # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI. 
     4911  cat >conftest.$ac_ext <<_ACEOF 
     4912#line $LINENO "configure" 
     4913/* confdefs.h.  */ 
     4914_ACEOF 
     4915cat confdefs.h >>conftest.$ac_ext 
     4916cat >>conftest.$ac_ext <<_ACEOF 
     4917/* end confdefs.h.  */ 
     4918#include <stdlib.h> 
     4919 
     4920_ACEOF 
     4921if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 
     4922  $EGREP "free" >/dev/null 2>&1; then 
     4923  : 
     4924else 
     4925  ac_cv_header_stdc=no 
     4926fi 
     4927rm -f conftest* 
     4928 
     4929fi 
     4930 
     4931if test $ac_cv_header_stdc = yes; then 
     4932  # /bin/cc in Irix-4.0.5 gets non-ANSI ctype macros unless using -ansi. 
     4933  if test "$cross_compiling" = yes; then 
     4934  : 
     4935else 
     4936  cat >conftest.$ac_ext <<_ACEOF 
     4937#line $LINENO "configure" 
     4938/* confdefs.h.  */ 
     4939_ACEOF 
     4940cat confdefs.h >>conftest.$ac_ext 
     4941cat >>conftest.$ac_ext <<_ACEOF 
     4942/* end confdefs.h.  */ 
     4943#include <ctype.h> 
     4944#if ((' ' & 0x0FF) == 0x020) 
     4945# define ISLOWER(c) ('a' <= (c) && (c) <= 'z') 
     4946# define TOUPPER(c) (ISLOWER(c) ? 'A' + ((c) - 'a') : (c)) 
     4947#else 
     4948# define ISLOWER(c) \ 
     4949                   (('a' <= (c) && (c) <= 'i') \ 
     4950                     || ('j' <= (c) && (c) <= 'r') \ 
     4951                     || ('s' <= (c) && (c) <= 'z')) 
     4952# define TOUPPER(c) (ISLOWER(c) ? ((c) | 0x40) : (c)) 
     4953#endif 
     4954 
     4955#define XOR(e, f) (((e) && !(f)) || (!(e) && (f))) 
     4956int 
     4957main () 
     4958
     4959  int i; 
     4960  for (i = 0; i < 256; i++) 
     4961    if (XOR (islower (i), ISLOWER (i)) 
     4962        || toupper (i) != TOUPPER (i)) 
     4963      exit(2); 
     4964  exit (0); 
     4965
     4966_ACEOF 
     4967rm -f conftest$ac_exeext 
     4968if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     4969  (eval $ac_link) 2>&5 
     4970  ac_status=$? 
     4971  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4972  (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
     4973  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     4974  (eval $ac_try) 2>&5 
     4975  ac_status=$? 
     4976  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     4977  (exit $ac_status); }; }; then 
     4978  : 
     4979else 
     4980  echo "$as_me: program exited with status $ac_status" >&5 
     4981echo "$as_me: failed program was:" >&5 
     4982sed 's/^/| /' conftest.$ac_ext >&5 
     4983 
     4984( exit $ac_status ) 
     4985ac_cv_header_stdc=no 
     4986fi 
     4987rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
     4988fi 
     4989fi 
     4990fi 
     4991echo "$as_me:$LINENO: result: $ac_cv_header_stdc" >&5 
     4992echo "${ECHO_T}$ac_cv_header_stdc" >&6 
     4993if test $ac_cv_header_stdc = yes; then 
     4994 
     4995cat >>confdefs.h <<\_ACEOF 
     4996#define STDC_HEADERS 1 
     4997_ACEOF 
     4998 
     4999fi 
     5000 
     5001echo "$as_me:$LINENO: checking for stdbool.h that conforms to C99" >&5 
     5002echo $ECHO_N "checking for stdbool.h that conforms to C99... $ECHO_C" >&6 
     5003if test "${ac_cv_header_stdbool_h+set}" = set; then 
     5004  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5005else 
     5006  cat >conftest.$ac_ext <<_ACEOF 
     5007#line $LINENO "configure" 
     5008/* confdefs.h.  */ 
     5009_ACEOF 
     5010cat confdefs.h >>conftest.$ac_ext 
     5011cat >>conftest.$ac_ext <<_ACEOF 
     5012/* end confdefs.h.  */ 
     5013 
     5014#include <stdbool.h> 
     5015#ifndef bool 
     5016# error bool is not defined 
     5017#endif 
     5018#ifndef false 
     5019# error false is not defined 
     5020#endif 
     5021#if false 
     5022# error false is not 0 
     5023#endif 
     5024#ifndef true 
     5025# error true is not defined 
     5026#endif 
     5027#if true != 1 
     5028# error true is not 1 
     5029#endif 
     5030#ifndef __bool_true_false_are_defined 
     5031# error __bool_true_false_are_defined is not defined 
     5032#endif 
     5033 
     5034        struct s { _Bool s: 1; _Bool t; } s; 
     5035 
     5036        char a[true == 1 ? 1 : -1]; 
     5037        char b[false == 0 ? 1 : -1]; 
     5038        char c[__bool_true_false_are_defined == 1 ? 1 : -1]; 
     5039        char d[(bool) -0.5 == true ? 1 : -1]; 
     5040        bool e = &s; 
     5041        char f[(_Bool) -0.0 == false ? 1 : -1]; 
     5042        char g[true]; 
     5043        char h[sizeof (_Bool)]; 
     5044        char i[sizeof s.t]; 
     5045 
     5046int 
     5047main () 
     5048
     5049 return !a + !b + !c + !d + !e + !f + !g + !h + !i; 
     5050  ; 
     5051  return 0; 
     5052
     5053_ACEOF 
     5054rm -f conftest.$ac_objext 
     5055if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5056  (eval $ac_compile) 2>&5 
     5057  ac_status=$? 
     5058  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5059  (exit $ac_status); } && 
     5060         { ac_try='test -s conftest.$ac_objext' 
     5061  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5062  (eval $ac_try) 2>&5 
     5063  ac_status=$? 
     5064  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5065  (exit $ac_status); }; }; then 
     5066  ac_cv_header_stdbool_h=yes 
     5067else 
     5068  echo "$as_me: failed program was:" >&5 
     5069sed 's/^/| /' conftest.$ac_ext >&5 
     5070 
     5071ac_cv_header_stdbool_h=no 
     5072fi 
     5073rm -f conftest.$ac_objext conftest.$ac_ext 
     5074fi 
     5075echo "$as_me:$LINENO: result: $ac_cv_header_stdbool_h" >&5 
     5076echo "${ECHO_T}$ac_cv_header_stdbool_h" >&6 
     5077echo "$as_me:$LINENO: checking for _Bool" >&5 
     5078echo $ECHO_N "checking for _Bool... $ECHO_C" >&6 
     5079if test "${ac_cv_type__Bool+set}" = set; then 
     5080  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5081else 
     5082  cat >conftest.$ac_ext <<_ACEOF 
     5083#line $LINENO "configure" 
     5084/* confdefs.h.  */ 
     5085_ACEOF 
     5086cat confdefs.h >>conftest.$ac_ext 
     5087cat >>conftest.$ac_ext <<_ACEOF 
     5088/* end confdefs.h.  */ 
     5089$ac_includes_default 
     5090int 
     5091main () 
     5092
     5093if ((_Bool *) 0) 
     5094  return 0; 
     5095if (sizeof (_Bool)) 
     5096  return 0; 
     5097  ; 
     5098  return 0; 
     5099
     5100_ACEOF 
     5101rm -f conftest.$ac_objext 
     5102if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5103  (eval $ac_compile) 2>&5 
     5104  ac_status=$? 
     5105  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5106  (exit $ac_status); } && 
     5107         { ac_try='test -s conftest.$ac_objext' 
     5108  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5109  (eval $ac_try) 2>&5 
     5110  ac_status=$? 
     5111  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5112  (exit $ac_status); }; }; then 
     5113  ac_cv_type__Bool=yes 
     5114else 
     5115  echo "$as_me: failed program was:" >&5 
     5116sed 's/^/| /' conftest.$ac_ext >&5 
     5117 
     5118ac_cv_type__Bool=no 
     5119fi 
     5120rm -f conftest.$ac_objext conftest.$ac_ext 
     5121fi 
     5122echo "$as_me:$LINENO: result: $ac_cv_type__Bool" >&5 
     5123echo "${ECHO_T}$ac_cv_type__Bool" >&6 
     5124if test $ac_cv_type__Bool = yes; then 
     5125 
     5126cat >>confdefs.h <<_ACEOF 
     5127#define HAVE__BOOL 1 
     5128_ACEOF 
     5129 
     5130 
     5131fi 
     5132 
     5133if test $ac_cv_header_stdbool_h = yes; then 
     5134 
     5135cat >>confdefs.h <<\_ACEOF 
     5136#define HAVE_STDBOOL_H 1 
     5137_ACEOF 
     5138 
     5139fi 
     5140 
     5141echo "$as_me:$LINENO: checking whether time.h and sys/time.h may both be included" >&5 
     5142echo $ECHO_N "checking whether time.h and sys/time.h may both be included... $ECHO_C" >&6 
     5143if test "${ac_cv_header_time+set}" = set; then 
     5144  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5145else 
     5146  cat >conftest.$ac_ext <<_ACEOF 
     5147#line $LINENO "configure" 
     5148/* confdefs.h.  */ 
     5149_ACEOF 
     5150cat confdefs.h >>conftest.$ac_ext 
     5151cat >>conftest.$ac_ext <<_ACEOF 
     5152/* end confdefs.h.  */ 
     5153#include <sys/types.h> 
     5154#include <sys/time.h> 
     5155#include <time.h> 
     5156 
     5157int 
     5158main () 
     5159
     5160if ((struct tm *) 0) 
     5161return 0; 
     5162  ; 
     5163  return 0; 
     5164
     5165_ACEOF 
     5166rm -f conftest.$ac_objext 
     5167if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5168  (eval $ac_compile) 2>&5 
     5169  ac_status=$? 
     5170  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5171  (exit $ac_status); } && 
     5172         { ac_try='test -s conftest.$ac_objext' 
     5173  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5174  (eval $ac_try) 2>&5 
     5175  ac_status=$? 
     5176  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5177  (exit $ac_status); }; }; then 
     5178  ac_cv_header_time=yes 
     5179else 
     5180  echo "$as_me: failed program was:" >&5 
     5181sed 's/^/| /' conftest.$ac_ext >&5 
     5182 
     5183ac_cv_header_time=no 
     5184fi 
     5185rm -f conftest.$ac_objext conftest.$ac_ext 
     5186fi 
     5187echo "$as_me:$LINENO: result: $ac_cv_header_time" >&5 
     5188echo "${ECHO_T}$ac_cv_header_time" >&6 
     5189if test $ac_cv_header_time = yes; then 
     5190 
     5191cat >>confdefs.h <<\_ACEOF 
     5192#define TIME_WITH_SYS_TIME 1 
     5193_ACEOF 
     5194 
     5195fi 
     5196 
     5197 
     5198 
     5199 
     5200 
     5201 
     5202ac_header_dirent=no 
     5203for ac_hdr in dirent.h sys/ndir.h sys/dir.h ndir.h; do 
     5204  as_ac_Header=`echo "ac_cv_header_dirent_$ac_hdr" | $as_tr_sh` 
     5205echo "$as_me:$LINENO: checking for $ac_hdr that defines DIR" >&5 
     5206echo $ECHO_N "checking for $ac_hdr that defines DIR... $ECHO_C" >&6 
     5207if eval "test \"\${$as_ac_Header+set}\" = set"; then 
     5208  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5209else 
     5210  cat >conftest.$ac_ext <<_ACEOF 
     5211#line $LINENO "configure" 
     5212/* confdefs.h.  */ 
     5213_ACEOF 
     5214cat confdefs.h >>conftest.$ac_ext 
     5215cat >>conftest.$ac_ext <<_ACEOF 
     5216/* end confdefs.h.  */ 
     5217#include <sys/types.h> 
     5218#include <$ac_hdr> 
     5219 
     5220int 
     5221main () 
     5222
     5223if ((DIR *) 0) 
     5224return 0; 
     5225  ; 
     5226  return 0; 
     5227
     5228_ACEOF 
     5229rm -f conftest.$ac_objext 
     5230if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5 
     5231  (eval $ac_compile) 2>&5 
     5232  ac_status=$? 
     5233  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5234  (exit $ac_status); } && 
     5235         { ac_try='test -s conftest.$ac_objext' 
     5236  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5237  (eval $ac_try) 2>&5 
     5238  ac_status=$? 
     5239  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5240  (exit $ac_status); }; }; then 
     5241  eval "$as_ac_Header=yes" 
     5242else 
     5243  echo "$as_me: failed program was:" >&5 
     5244sed 's/^/| /' conftest.$ac_ext >&5 
     5245 
     5246eval "$as_ac_Header=no" 
     5247fi 
     5248rm -f conftest.$ac_objext conftest.$ac_ext 
     5249fi 
     5250echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5 
     5251echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6 
     5252if test `eval echo '${'$as_ac_Header'}'` = yes; then 
     5253  cat >>confdefs.h <<_ACEOF 
     5254#define `echo "HAVE_$ac_hdr" | $as_tr_cpp` 1 
     5255_ACEOF 
     5256 
     5257ac_header_dirent=$ac_hdr; break 
     5258fi 
     5259 
     5260done 
     5261# Two versions of opendir et al. are in -ldir and -lx on SCO Xenix. 
     5262if test $ac_header_dirent = dirent.h; then 
     5263  echo "$as_me:$LINENO: checking for library containing opendir" >&5 
     5264echo $ECHO_N "checking for library containing opendir... $ECHO_C" >&6 
     5265if test "${ac_cv_search_opendir+set}" = set; then 
     5266  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5267else 
     5268  ac_func_search_save_LIBS=$LIBS 
     5269ac_cv_search_opendir=no 
     5270cat >conftest.$ac_ext <<_ACEOF 
     5271#line $LINENO "configure" 
     5272/* confdefs.h.  */ 
     5273_ACEOF 
     5274cat confdefs.h >>conftest.$ac_ext 
     5275cat >>conftest.$ac_ext <<_ACEOF 
     5276/* end confdefs.h.  */ 
     5277 
     5278/* Override any gcc2 internal prototype to avoid an error.  */ 
     5279#ifdef __cplusplus 
     5280extern "C" 
     5281#endif 
     5282/* We use char because int might match the return type of a gcc2 
     5283   builtin and then its argument prototype would still apply.  */ 
     5284char opendir (); 
     5285int 
     5286main () 
     5287
     5288opendir (); 
     5289  ; 
     5290  return 0; 
     5291
     5292_ACEOF 
     5293rm -f conftest.$ac_objext conftest$ac_exeext 
     5294if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5295  (eval $ac_link) 2>&5 
     5296  ac_status=$? 
     5297  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5298  (exit $ac_status); } && 
     5299         { ac_try='test -s conftest$ac_exeext' 
     5300  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5301  (eval $ac_try) 2>&5 
     5302  ac_status=$? 
     5303  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5304  (exit $ac_status); }; }; then 
     5305  ac_cv_search_opendir="none required" 
     5306else 
     5307  echo "$as_me: failed program was:" >&5 
     5308sed 's/^/| /' conftest.$ac_ext >&5 
     5309 
     5310fi 
     5311rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
     5312if test "$ac_cv_search_opendir" = no; then 
     5313  for ac_lib in dir; do 
     5314    LIBS="-l$ac_lib  $ac_func_search_save_LIBS" 
     5315    cat >conftest.$ac_ext <<_ACEOF 
     5316#line $LINENO "configure" 
     5317/* confdefs.h.  */ 
     5318_ACEOF 
     5319cat confdefs.h >>conftest.$ac_ext 
     5320cat >>conftest.$ac_ext <<_ACEOF 
     5321/* end confdefs.h.  */ 
     5322 
     5323/* Override any gcc2 internal prototype to avoid an error.  */ 
     5324#ifdef __cplusplus 
     5325extern "C" 
     5326#endif 
     5327/* We use char because int might match the return type of a gcc2 
     5328   builtin and then its argument prototype would still apply.  */ 
     5329char opendir (); 
     5330int 
     5331main () 
     5332
     5333opendir (); 
     5334  ; 
     5335  return 0; 
     5336
     5337_ACEOF 
     5338rm -f conftest.$ac_objext conftest$ac_exeext 
     5339if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5340  (eval $ac_link) 2>&5 
     5341  ac_status=$? 
     5342  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5343  (exit $ac_status); } && 
     5344         { ac_try='test -s conftest$ac_exeext' 
     5345  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5346  (eval $ac_try) 2>&5 
     5347  ac_status=$? 
     5348  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5349  (exit $ac_status); }; }; then 
     5350  ac_cv_search_opendir="-l$ac_lib" 
     5351break 
     5352else 
     5353  echo "$as_me: failed program was:" >&5 
     5354sed 's/^/| /' conftest.$ac_ext >&5 
     5355 
     5356fi 
     5357rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
     5358  done 
     5359fi 
     5360LIBS=$ac_func_search_save_LIBS 
     5361fi 
     5362echo "$as_me:$LINENO: result: $ac_cv_search_opendir" >&5 
     5363echo "${ECHO_T}$ac_cv_search_opendir" >&6 
     5364if test "$ac_cv_search_opendir" != no; then 
     5365  test "$ac_cv_search_opendir" = "none required" || LIBS="$ac_cv_search_opendir $LIBS" 
     5366 
     5367fi 
     5368 
     5369else 
     5370  echo "$as_me:$LINENO: checking for library containing opendir" >&5 
     5371echo $ECHO_N "checking for library containing opendir... $ECHO_C" >&6 
     5372if test "${ac_cv_search_opendir+set}" = set; then 
     5373  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5374else 
     5375  ac_func_search_save_LIBS=$LIBS 
     5376ac_cv_search_opendir=no 
     5377cat >conftest.$ac_ext <<_ACEOF 
     5378#line $LINENO "configure" 
     5379/* confdefs.h.  */ 
     5380_ACEOF 
     5381cat confdefs.h >>conftest.$ac_ext 
     5382cat >>conftest.$ac_ext <<_ACEOF 
     5383/* end confdefs.h.  */ 
     5384 
     5385/* Override any gcc2 internal prototype to avoid an error.  */ 
     5386#ifdef __cplusplus 
     5387extern "C" 
     5388#endif 
     5389/* We use char because int might match the return type of a gcc2 
     5390   builtin and then its argument prototype would still apply.  */ 
     5391char opendir (); 
     5392int 
     5393main () 
     5394
     5395opendir (); 
     5396  ; 
     5397  return 0; 
     5398
     5399_ACEOF 
     5400rm -f conftest.$ac_objext conftest$ac_exeext 
     5401if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5402  (eval $ac_link) 2>&5 
     5403  ac_status=$? 
     5404  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5405  (exit $ac_status); } && 
     5406         { ac_try='test -s conftest$ac_exeext' 
     5407  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5408  (eval $ac_try) 2>&5 
     5409  ac_status=$? 
     5410  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5411  (exit $ac_status); }; }; then 
     5412  ac_cv_search_opendir="none required" 
     5413else 
     5414  echo "$as_me: failed program was:" >&5 
     5415sed 's/^/| /' conftest.$ac_ext >&5 
     5416 
     5417fi 
     5418rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
     5419if test "$ac_cv_search_opendir" = no; then 
     5420  for ac_lib in x; do 
     5421    LIBS="-l$ac_lib  $ac_func_search_save_LIBS" 
     5422    cat >conftest.$ac_ext <<_ACEOF 
     5423#line $LINENO "configure" 
     5424/* confdefs.h.  */ 
     5425_ACEOF 
     5426cat confdefs.h >>conftest.$ac_ext 
     5427cat >>conftest.$ac_ext <<_ACEOF 
     5428/* end confdefs.h.  */ 
     5429 
     5430/* Override any gcc2 internal prototype to avoid an error.  */ 
     5431#ifdef __cplusplus 
     5432extern "C" 
     5433#endif 
     5434/* We use char because int might match the return type of a gcc2 
     5435   builtin and then its argument prototype would still apply.  */ 
     5436char opendir (); 
     5437int 
     5438main () 
     5439
     5440opendir (); 
     5441  ; 
     5442  return 0; 
     5443
     5444_ACEOF 
     5445rm -f conftest.$ac_objext conftest$ac_exeext 
     5446if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
     5447  (eval $ac_link) 2>&5 
     5448  ac_status=$? 
     5449  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5450  (exit $ac_status); } && 
     5451         { ac_try='test -s conftest$ac_exeext' 
     5452  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
     5453  (eval $ac_try) 2>&5 
     5454  ac_status=$? 
     5455  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
     5456  (exit $ac_status); }; }; then 
     5457  ac_cv_search_opendir="-l$ac_lib" 
     5458break 
     5459else 
     5460  echo "$as_me: failed program was:" >&5 
     5461sed 's/^/| /' conftest.$ac_ext >&5 
     5462 
     5463fi 
     5464rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
     5465  done 
     5466fi 
     5467LIBS=$ac_func_search_save_LIBS 
     5468fi 
     5469echo "$as_me:$LINENO: result: $ac_cv_search_opendir" >&5 
     5470echo "${ECHO_T}$ac_cv_search_opendir" >&6 
     5471if test "$ac_cv_search_opendir" != no; then 
     5472  test "$ac_cv_search_opendir" = "none required" || LIBS="$ac_cv_search_opendir $LIBS" 
     5473 
     5474fi 
     5475 
     5476fi 
     5477 
     5478 
     5479 
     5480 
     5481 
     5482 
     5483 
     5484 
     5485 
     5486 
     5487 
     5488 
     5489 
     5490 
     5491for ac_header in  \ 
     5492        arpa/inet.h \ 
     5493        fcntl.h \ 
     5494        limits.h \ 
     5495        netdb.h \ 
     5496        netinet/in.h \ 
     5497        stdlib.h \ 
     5498        string.h \ 
     5499        sys/ioctl.h \ 
     5500        sys/param.h \ 
     5501        sys/socket.h \ 
     5502        sys/time.h \ 
     5503        termios.h \ 
     5504        unistd.h \ 
     5505 
    47035506do 
    47045507as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh` 
     
    48375640_ACEOF 
    48385641 
    4839         echo "$as_me:$LINENO: checking for main in -lreadline" >&5 
    4840 echo $ECHO_N "checking for main in -lreadline... $ECHO_C" >&6 
    4841 if test "${ac_cv_lib_readline_main+set}" = set; then 
     5642fi 
     5643 
     5644done 
     5645 
     5646 
     5647 
     5648####################################################################### 
     5649# Checks for typedefs, structures, and compiler characteristics 
     5650 
     5651echo "$as_me:$LINENO: checking for an ANSI C-conforming const" >&5 
     5652echo $ECHO_N "checking for an ANSI C-conforming const... $ECHO_C" >&6 
     5653if test "${ac_cv_c_const+set}" = set; then 
    48425654  echo $ECHO_N "(cached) $ECHO_C" >&6 
    48435655else 
    4844   ac_check_lib_save_LIBS=$LIBS 
    4845 LIBS="-lreadline  $LIBS" 
    4846 cat >conftest.$ac_ext <<_ACEOF 
     5656  cat >conftest.$ac_ext <<_ACEOF 
    48475657#line $LINENO "configure" 
    48485658/* confdefs.h.  */ 
     
    48525662/* end confdefs.h.  */ 
    48535663 
    4854  
    48555664int 
    48565665main () 
    48575666{ 
    4858 main (); 
    4859   ; 
    4860   return 0; 
    4861 
    4862 _ACEOF 
    4863 rm -f conftest.$ac_objext conftest$ac_exeext 
    4864 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    4865   (eval $ac_link) 2>&5 
    4866   ac_status=$? 
    4867   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4868   (exit $ac_status); } && 
    4869          { ac_try='test -s conftest$ac_exeext' 
    4870   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4871   (eval $ac_try) 2>&5 
    4872   ac_status=$? 
    4873   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4874   (exit $ac_status); }; }; then 
    4875   ac_cv_lib_readline_main=yes 
    4876 else 
    4877   echo "$as_me: failed program was:" >&5 
    4878 sed 's/^/| /' conftest.$ac_ext >&5 
    4879  
    4880 ac_cv_lib_readline_main=no 
    4881 fi 
    4882 rm -f conftest.$ac_objext conftest$ac_exeext conftest.$ac_ext 
    4883 LIBS=$ac_check_lib_save_LIBS 
    4884 fi 
    4885 echo "$as_me:$LINENO: result: $ac_cv_lib_readline_main" >&5 
    4886 echo "${ECHO_T}$ac_cv_lib_readline_main" >&6 
    4887 if test $ac_cv_lib_readline_main = yes; then 
    4888  
    4889                 LIBS="$LIBS -lreadline" 
    4890  
    4891                 echo "$as_me:$LINENO: checking for rl_completion_matches" >&5 
    4892 echo $ECHO_N "checking for rl_completion_matches... $ECHO_C" >&6 
    4893                 if test "$cross_compiling" = yes; then 
    4894   { { echo "$as_me:$LINENO: error: cannot run test program while cross compiling 
    4895 See \`config.log' for more details." >&5 
    4896 echo "$as_me: error: cannot run test program while cross compiling 
    4897 See \`config.log' for more details." >&2;} 
    4898    { (exit 1); exit 1; }; } 
    4899 else 
    4900   cat >conftest.$ac_ext <<_ACEOF 
    4901 #line $LINENO "configure" 
    4902 /* confdefs.h.  */ 
    4903 _ACEOF 
    4904 cat confdefs.h >>conftest.$ac_ext 
    4905 cat >>conftest.$ac_ext <<_ACEOF 
    4906 /* end confdefs.h.  */ 
    4907  
    4908                         #include <stdio.h> 
    4909                         #include <readline/readline.h> 
    4910                         char * generator(const char *text, int state) { 
    4911                                 return NULL; 
    4912                         } 
    4913                         int main(void) { 
    4914                                 char **matches = rl_completion_matches("", generator); 
    4915  
    4916                                 return 0; 
    4917                         } 
    4918  
    4919 _ACEOF 
    4920 rm -f conftest$ac_exeext 
    4921 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5 
    4922   (eval $ac_link) 2>&5 
    4923   ac_status=$? 
    4924   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4925   (exit $ac_status); } && { ac_try='./conftest$ac_exeext' 
    4926   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5 
    4927   (eval $ac_try) 2>&5 
    4928   ac_status=$? 
    4929   echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    4930   (exit $ac_status); }; }; then 
    4931  
    4932  
    4933 cat >>confdefs.h <<\_ACEOF 
    4934 #define HAVE_RL_COMPLETION_MATCHES 1 
    4935 _ACEOF 
    4936  
    4937                         echo "$as_me:$LINENO: result: yes" >&5 
    4938 echo "${ECHO_T}yes" >&6 
    4939  
    4940  
    4941 else 
    4942   echo "$as_me: program exited with status $ac_status" >&5 
    4943 echo "$as_me: failed program was:" >&5 
    4944 sed 's/^/| /' conftest.$ac_ext >&5 
    4945  
    4946 ( exit $ac_status ) 
    4947  
    4948                         echo "$as_me:$LINENO: result: no" >&5 
    4949 echo "${ECHO_T}no" >&6 
    4950  
    4951 fi 
    4952 rm -f core core.* *.core gmon.out bb.out conftest$ac_exeext conftest.$ac_objext conftest.$ac_ext 
    4953 fi 
    4954  
    4955 else 
    4956  
    4957  
    4958         { { echo "$as_me:$LINENO: error: could not locate readline 
    4959  
    4960 If you installed readline into a non-standard directory, please run: 
    4961  
    4962     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4963 echo "$as_me: error: could not locate readline 
    4964  
    4965 If you installed readline into a non-standard directory, please run: 
    4966  
    4967     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    4968    { (exit 1); exit 1; }; } 
    4969  
    4970  
    4971 fi 
    4972  
    4973  
    4974 else 
    4975  
    4976  
    4977         { { echo "$as_me:$LINENO: error: could not locate readline 
    4978  
    4979 If you installed readline into a non-standard directory, please run: 
    4980  
    4981     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&5 
    4982 echo "$as_me: error: could not locate readline 
    4983  
    4984 If you installed readline into a non-standard directory, please run: 
    4985  
    4986     env CPPFLAGS=\"-I/path/to/include\" LDFLAGS=\"-L/path/to/lib\" ./configure" >&2;} 
    4987    { (exit 1); exit 1; }; } 
    4988  
    4989  
    4990 fi 
    4991  
    4992 done 
    4993  
    4994  
    4995  
    4996  
    4997 ####################################################################### 
    4998 # Checks for header files 
    4999  
    5000 echo "$as_me:$LINENO: checking for ANSI C header files" >&5 
    5001 echo $ECHO_N "checking for ANSI C header files... $ECHO_C" >&6 
    5002 if test "${ac_cv_header_stdc+set}" = set; then 
    5003   echo $ECHO_N "(cached) $ECHO_C" >&6 
    5004 else 
    5005   cat >conftest.$ac_ext <<_ACEOF 
    5006 #line $LINENO "configure" 
    5007 /* confdefs.h.  */ 
    5008 _ACEOF 
    5009 cat confdefs.h >>conftest.$ac_ext 
    5010 cat >>conftest.$ac_ext <<_ACEOF 
    5011 /* end confdefs.h.  */ 
    5012 #include <stdlib.h> 
    5013 #include <stdarg.h> 
    5014 #include <string.h> 
    5015 #include <float.h> 
    5016  
    5017 int 
    5018 main () 
    5019 
     5667/* FIXME: Include the comments suggested by Paul. */ 
     5668#ifndef __cplusplus 
     5669  /* Ultrix mips cc rejects this.  */ 
     5670  typedef int charset[2]; 
     5671  const charset x; 
     5672  /* SunOS 4.1.1 cc rejects this.  */ 
     5673  char const *const *ccp; 
     5674  char **p; 
     5675  /* NEC SVR4.0.2 mips cc rejects this.  */ 
     5676  struct point {int x, y;}; 
     5677  static struct point const zero = {0,0}; 
     5678  /* AIX XL C 1.02.0.0 rejects this. 
     5679     It does not let you subtract one const X* pointer from another in 
     5680     an arm of an if-expression whose if-part is not a constant 
     5681     expression */ 
     5682  const char *g = "string"; 
     5683  ccp = &g + (g ? g-g : 0); 
     5684  /* HPUX 7.0 cc rejects these. */ 
     5685  ++ccp; 
     5686  p = (char**) ccp; 
     5687  ccp = (char const *const *) p; 
     5688  { /* SCO 3.2v4 cc rejects this.  */ 
     5689    char *t; 
     5690    char const *s = 0 ? (char *) 0 : (char const *) 0; 
     5691 
     5692    *t++ = 0; 
     5693  } 
     5694  { /* Someone thinks the Sun supposedly-ANSI compiler will reject this.  */ 
     5695    int x[] = {25, 17}; 
     5696    const int *foo = &x[0]; 
     5697    ++foo; 
     5698  } 
     5699  { /* Sun SC1.0 ANSI compiler rejects this -- but not the above. */ 
     5700    typedef const int *iptr; 
     5701    iptr p = 0; 
     5702    ++p; 
     5703  } 
     5704  { /* AIX XL C 1.02.0.0 rejects this saying 
     5705       "k.c", line 2.27: 1506-025 (S) Operand must be a modifiable lvalue. */ 
     5706    struct s { int j; const int *ap[3]; }; 
     5707    struct s *b; b->j = 5; 
     5708  } 
     5709  { /* ULTRIX-32 V3.1 (Rev 9) vcc rejects this */ 
     5710    const int foo = 10; 
     5711  } 
     5712#endif 
    50205713 
    50215714  ; 
     
    50355728  echo "$as_me:$LINENO: \$? = $ac_status" >&5 
    50365729  (exit $ac_status); }; }; then 
    5037   ac_cv_header_stdc=yes 
     5730  ac_cv_c_const=yes 
    50385731else 
    50395732  echo "$as_me: failed program was:" >&5 
    50405733sed 's/^/| /' conftest.$ac_ext >&5 
    50415734 
    5042 ac_cv_header_stdc=no 
     5735ac_cv_c_const=no 
    50435736fi 
    50445737rm -f conftest.$ac_objext conftest.$ac_ext 
    5045  
    5046 if test $ac_cv_header_stdc = yes; then 
    5047   # SunOS 4.x string.h does not declare mem*, contrary to ANSI. 
     5738fi 
     5739echo "$as_me:$LINENO: result: $ac_cv_c_const" >&5 
     5740echo "${ECHO_T}$ac_cv_c_const" >&6 
     5741if test $ac_cv_c_const = no; then 
     5742 
     5743cat >>confdefs.h <<\_ACEOF 
     5744#define const 
     5745_ACEOF 
     5746 
     5747fi 
     5748 
     5749echo "$as_me:$LINENO: checking for working volatile" >&5 
     5750echo $ECHO_N "checking for working volatile... $ECHO_C" >&6 
     5751if test "${ac_cv_c_volatile+set}" = set; then 
     5752  echo $ECHO_N "(cached) $ECHO_C" >&6 
     5753else 
    50485754  cat >conftest.$ac_ext <<_ACEOF 
    50495755#line $LINENO "configure" 
     
    50535759cat >>conftest.$ac_ext <<_ACEOF 
    50545760/* end confdefs.h.  */ 
    5055 #include <string.h> 
    5056  
    5057 _ACEOF 
    5058 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 
    5059   $EGREP "memchr" >/dev/null 2>&1; then 
    5060   : 
    5061 else 
    5062   ac_cv_header_stdc=no 
    5063 fi 
    5064 rm -f conftest* 
    5065  
    5066 fi 
    5067  
    5068 if test $ac_cv_header_stdc = yes; then 
    5069   # ISC 2.0.2 stdlib.h does not declare free, contrary to ANSI. 
    5070   cat >conftest.$ac_ext <<_ACEOF 
    5071 #line $LINENO "configure" 
    5072 /* confdefs.h.  */ 
    5073 _ACEOF 
    5074 cat confdefs.h >>conftest.$ac_ext 
    5075 cat >>conftest.$ac_ext <<_ACEOF 
    5076 /* end confdefs.h.  */ 
    5077 #include <stdlib.h> 
    5078  
    5079 _ACEOF 
    5080 if (eval "$ac_cpp conftest.$ac_ext") 2>&5 | 
    5081   $EGREP "free" >/dev/null 2>&1; then 
    5082   : 
    5083 else 
    5084&n